<?php

/*
Plugin Name: Livechatoo
Plugin URI: https://www.livechatoo.com/
Description: Joomla plugin to insert Livechatoo JavaScript code to your website
Version: 1.1.0
Author: Livechatoo
Author URI: https://www.livechatoo.com/
License: GPLv3
*/

defined('_JEXEC') or die;

class PlgSystemLivechatoo extends JPlugin {
    function __construct(&$subject, $config) {
        parent::__construct($subject, $config);
        $this->loadLanguage();
    }

    function onBeforeCompileHead() {   
        $app = JFactory::getApplication();

        if (!$app->isSite()) {
            return;
        }

        $jscode = $this->params->get('jscode');

        if (!empty($jscode)) {
            // set Livechatoo language in JS code automatically by website language
            $locale = explode('-', JFactory::getLanguage()->getTag());
            $lang = $locale[0];
            $jscode = str_replace('{auto}', $lang, $jscode);

            // append Livechatoo JS code to document
            $document = JFactory::getDocument();
            $document->addCustomTag($jscode);
        }
    }
}

?>